Index: common/common-functions
===================================================================
--- common/common-functions	(revision 1b9148c45a02375361a8e50189e7d3fd50f23d71)
+++ common/common-functions	(revision 12a570799856c22602d21c41e3e3a2f1f70d511e)
@@ -638,5 +638,4 @@
                   --stringparam model $MODEL \
                   --stringparam testsuite $TEST \
-                  --stringparam toolchaintest $TOOLCHAINTEST \
                   --stringparam vim-lang $VIMLANG \
                   -o ./${PROGNAME}-commands/ $XSL $BOOK/index.xml >>$LOGDIR/$LOG 2>&1
@@ -647,5 +646,4 @@
                  --xinclude \
                  --stringparam testsuite $TEST \
-                 --stringparam toolchaintest $TOOLCHAINTEST \
                  --stringparam vim-lang $VIMLANG \
                  -o ./${PROGNAME}-commands/ $XSL $BOOK/index.xml >>$LOGDIR/$LOG 2>&1
@@ -701,7 +699,6 @@
   cd $BUILDDIR/sources
 
-  # Hackish fix for the bash-doc, glibc-{linuxthreads,libidn} and
-  # module-init-tools-testsuite packages that don't conform to
-  # norms in the URL scheme.
+  # Hackish fix for the bash-doc, glibc-{linuxthreads,libidn} 
+  # that don't conform to norms in the URL scheme.
   DIR=`echo $1 | sed 's@-doc@@;s@-linuxthreads@@;s@-libidn@@;s@-testsuite@@'`
 
@@ -721,12 +718,12 @@
   if [ ! -f $2 ] ; then
     case $DL in
-      wget )  wget $HTTP/$DIR/$2            ;;
-      curl )  `curl -# $HTTP/$DIR/$2 -o $2`     ;;
+      wget )  wget --passive $FTP/$DIR/$2            ;;
+      curl )  `curl -# $FTP/$DIR/$2 -o $2`     ;;
       * )     echo "$DL not supported at this time."  ;;
     esac
   elif ! echo "$MD5" | md5sum -c - >/dev/null 2>/dev/null ; then
     case $DL in
-      wget )  wget -c $HTTP/$DIR/$2         ;;
-      curl )  `curl -# -C - $HTTP/$DIR/$2 -o $2`    ;;
+      wget )  wget --passive -c $FTP/$DIR/$2         ;;
+      curl )  `curl -# -C - $FTP/$DIR/$2 -o $2`    ;;
       * )     echo "$DL not supported at this time."  ;;
     esac
@@ -767,5 +764,5 @@
 
       # There are some entities that aren't valid packages.
-      if [ "$PKG" = "expect-lib" -o "$PKG" = "linux-dl" -o "$PKG" = "groff-patchlevel" ] ; then continue ; fi
+      if [ "$PKG" = "expect-lib" -o "$PKG" = "linux-dl" ] ; then continue ; fi
 
       VRS=`echo $i | sed -e 's/.* //' -e 's/"//g'`
Index: common/config
===================================================================
--- common/config	(revision 1b9148c45a02375361a8e50189e7d3fd50f23d71)
+++ common/config	(revision 12a570799856c22602d21c41e3e3a2f1f70d511e)
@@ -1,6 +1,7 @@
 #####
 #
-# Masterscript configuration file 
+# common configuration file 
 #
+# $Id$
 #####
 
@@ -17,9 +18,10 @@
 RUNMAKE=0
 
-#--- Run test suites  0(no)/1(yes)
+#--- Run test suites  [0-3]
+#  0 = none
+#  1 = only chapter06 Glibc, GCC and Binutils testsuites
+#  2 = all chapter06 testsuites
+#  3 = all chapter05 and chapter06 testsuites
 TEST=1
-
-#--- Run the toolchain tests  0(no)/1(yes)
-TOOLCHAINTEST=1
 
 #--- Run the stripping phases  0(no)/1(yes)
@@ -42,4 +44,14 @@
 KEYMAP=/usr/share/kbd/keymaps/i386/qwerty/us.map.gz
 
+#=== Variables needed by ICA ===
+#--- Run ICA testing 0/1  0(no)/1(yes)
+RUN_ICA=0
+
+#--- The number of final stage builds to create and compare
+ITERATIONS=
+
+#--- ICA report log directory
+ICALOGDIR=$JHALFSDIR/logs/ICA
+
 #==== INTERNAL VARIABLES ====
 # Don't edit it unless you know what you are doing
Index: common/func_check_version.sh
===================================================================
--- common/func_check_version.sh	(revision 1b9148c45a02375361a8e50189e7d3fd50f23d71)
+++ common/func_check_version.sh	(revision 12a570799856c22602d21c41e3e3a2f1f70d511e)
@@ -28,9 +28,12 @@
   TXT=$3
 
-  if  echo $ref_version | grep [[:alpha:]] 2>&1 >/dev/null || 
-      echo $tst_version | grep [[:alpha:]] 2>&1 >/dev/null ;then
-    echo "Cannot test for text, 0.0.0a, version types, assuming 'success' " 
-    return    
-  fi
+  # This saves us the save/restore hassle of the system IFS value
+  local IFS
+
+#  if  echo $ref_version | grep [[:alpha:]] 2>&1 >/dev/null || 
+#      echo $tst_version | grep [[:alpha:]] 2>&1 >/dev/null ;then
+#    echo "Cannot test for text, 0.0.0a, version types, assuming 'success' " 
+#    return    
+#  fi
     
   write_error_and_die() {
Index: common/func_validate_configs.sh
===================================================================
--- common/func_validate_configs.sh	(revision 1b9148c45a02375361a8e50189e7d3fd50f23d71)
+++ common/func_validate_configs.sh	(revision 12a570799856c22602d21c41e3e3a2f1f70d511e)
@@ -18,10 +18,9 @@
 inline_doc
 
-  local svn_tracking='$Id$'
-  local -r  lfs_PARAM_LIST="BUILDDIR HPKG TEST TOOLCHAINTEST STRIP VIMLANG PAGE RUNMAKE"
+  local -r  lfs_PARAM_LIST="BUILDDIR HPKG TEST STRIP VIMLANG PAGE RUNMAKE"
   local -r blfs_PARAM_LIST="BUILDDIR TEST DEPEND"
-  local -r hlfs_PARAM_LIST="BUILDDIR HPKG MODEL TEST TOOLCHAINTEST STRIP VIMLANG PAGE GRSECURITY_HOST RUNMAKE TIMEZONE"
+  local -r hlfs_PARAM_LIST="BUILDDIR HPKG MODEL TEST STRIP VIMLANG PAGE GRSECURITY_HOST RUNMAKE TIMEZONE"
   local -r clfs_PARAM_LIST="ARCH BOOTMINIMAL RUNMAKE MKFILE"
-  local -r global_PARAM_LIST="BUILDDIR HPKG RUNMAKE TEST TOOLCHAINTEST STRIP PAGE TIMEZONE VIMLANG"
+  local -r global_PARAM_LIST="BUILDDIR HPKG RUNMAKE TEST STRIP PAGE TIMEZONE VIMLANG"
 
   local -r ERROR_MSG='The variable \"${L_arrow}${config_param}${R_arrow}\" value ${L_arrow}${BOLD}${!config_param}${R_arrow} is invalid, ${nl_}check the config file ${BOLD}${GREEN}\<$PROGNAME.conf\>${OFF}'
@@ -55,5 +54,5 @@
         HPKG)      validation_str="x0x x1x"  ;;
         RUNMAKE)   validation_str="x0x x1x"  ;;
-        TEST)      validation_str="x0x x1x"  ;;
+        TEST)      validation_str="x0x x1x x2x x3x"  ;;
         STRIP)     validation_str="x0x x1x"  ;;
         VIMLANG)   validation_str="x0x x1x"  ;;
@@ -62,5 +61,4 @@
         PAGE)      validation_str="xletterx xA4x"  ;;
         ARCH)      validation_str="xx86x xx86_64x xx86_64-64x xsparcx xsparcv8x xsparc64x xsparc64-64x xmipsx xmips64x xmips64-64x xppcx xalphax" ;;
-        TOOLCHAINTEST)    validation_str="x0x x1x"  ;;
         GRSECURITY_HOST)  validation_str="x0x x1x"  ;;
         BOOTMINIMAL)      validation_str="x0x x1x";;
